### Property

# Gtk IconView:markup-column

since: 4.0

#### Declaration

    property markup-column: int [ read, write ]

#### Description [src]

The ::markup-column property contains the number of the model column containing markup information to be displayed. The markup column must be of type `G_TYPE_STRING`. If this property and the :text-column property are both set to column numbers, it overrides the text column. If both are set to -1, no texts are displayed.

Type: | `gint`
Available since: | 4.0

Default value | -1
Getter method | `gtk_icon_view_get_markup_column()`
Setter method | `gtk_icon_view_set_markup_column()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no